<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage  Pushpa
 * @since  Pushpa 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'pushpa_pagination',
	array(
		'title'               	=> esc_html__('Pagination','pushpa'),
		'description'         	=> esc_html__( 'Pagination section options.', 'pushpa' ),
		'panel'               	=> 'pushpa_theme_options_panel',
	)
);

// Sidebar position setting and control.
$wp_customize->add_setting( 'pushpa_theme_options[pagination_enable]',
	array(
		'sanitize_callback' 	=> 'pushpa_sanitize_switch_control',
		'default'             	=> $options['pagination_enable'],
	)
);

$wp_customize->add_control( new  pushpa_Switch_Control( $wp_customize,
	'pushpa_theme_options[pagination_enable]',
		array(
			'label'               	=> esc_html__( 'Pagination Enable', 'pushpa' ),
			'section'             	=> 'pushpa_pagination',
			'on_off_label' 			=> pushpa_switch_options(),
		)
	)
);

// Site layout setting and control.
$wp_customize->add_setting( 'pushpa_theme_options[pagination_type]',
	array(
		'sanitize_callback'   	=> 'pushpa_sanitize_select',
		'default'             	=> $options['pagination_type'],
	)
);

$wp_customize->add_control( 'pushpa_theme_options[pagination_type]',
	array(
		'label'               	=> esc_html__( 'Pagination Type', 'pushpa' ),
		'section'             	=> 'pushpa_pagination',
		'type'                	=> 'select',
		'choices'			  	=> pushpa_pagination_options(),
		'active_callback'	  	=> 'pushpa_is_pagination_enable',
	)
);
